//Video functionality
ADTECH.ready(function(){
	//code get's execute once the ad is initialised
    var doc = document;
    var vid = doc.getElementById('vid');
    var mainOutView = false;
    var vidContainer = doc.getElementById('vidContainer');
    var mute = doc.getElementById('mute');
    var unmute = doc.getElementById('unmute');
    var play = doc.getElementById('play');
    var pause = doc.getElementById('pause');

    ADTECH.registerVideoPlayer(vid);

    //default click, it's possible to designate another element for this
    doc.body.ontouchstart =  doc.body.onclick = function(e){  
      ADTECH.click('rightskin', 'http://www.adsolutions.com'); 
    };

    ADTECH.addEventListener('mainVideoOutView', function(e){
      vidContainer.style.opacity = 1;
      vid.currentTime = e.meta.time;
      vid.play();
      mainOutView = true;
    });

    ADTECH.addEventListener('mainVideoInView', function(){
      if(mainOutView == true){
          vidContainer.style.opacity = 0;
          vid.pause();
          ADTECH.event('mainVideoTimeUpdate', {time: vid.currentTime});
          mainOutView = false;
      }
    });  
  
    mute.onclick = function (e) {
          mute.style.display = 'none';
          unmute.style.display = 'block';
          vid.muted = true;
          e.stopPropagation();
      };

      unmute.onclick = function (e) {
          unmute.style.display = 'none';
          mute.style.display = 'block';
          vid.muted = false;
          e.stopPropagation();
      };

      pause.onclick = function (e) {
          play.style.display = 'block';
          pause.style.display = 'none';
          vid.pause();
          vid.playing = false;
          e.stopPropagation();
      };

      play.onclick = function (e) {
          play.style.display = 'none';
          pause.style.display = 'block';
          vid.play();
          vid.playing = true;
          e.stopPropagation();
      };

      vid.onended = function(){
        setTimeout(function(){
          play.style.display = 'block';
          pause.style.display = 'none';

          //if you want the video to loop, please uncomment the rule below:
          /*
              play.click();
          */

        },100);
      }
  
  //Place custom JavaScript below
  
 
});
