function init() {
    var doc = document;
    var vid = doc.getElementById('vid');
  	var cont = doc.getElementById('container');
	var mute = doc.getElementById('mute');
  	var unmute = doc.getElementById('unmute');
  	var play = doc.getElementById('play');
  	var pause = doc.getElementById('pause');
  
    doc.body.onclick = function () {
        ADTECH.click('topskin', '');
    }

    ADTECH.registerVideoPlayer(vid);
    
    vid.muted = true;

    //set this variable to false if you don't want the video to pause if the banner is out of view
    var pauseOutView = true;

    if(pauseOutView == true){
        ADTECH.addEventListener(com.adtech.RichMediaEvent.OUT_VIEWPORT, function () {
       		pause.click();
          	ADTECH.event('mainVideoOutView', {time: vid.currentTime});                     
        });
        ADTECH.addEventListener(com.adtech.RichMediaEvent.IN_VIEWPORT, function () {
       	 	//play.click();
          	ADTECH.event('mainVideoInView');
        });
      
      	ADTECH.addEventListener('mainVideoTimeUpdate', function(e){
          vid.currentTime = e.meta.time;
          play.click();
        });
      
    }

    if (vid.paused == true) {
        var playProm = vid.play();

        if (playProm !== undefined) {
            playProm.then(function () {

            }).catch(function (error) {
                play.style.display = 'block';
                pause.style.display = 'none';
            });
        }
    }

    mute.onclick = function (e) {
        mute.style.display = 'none';
        unmute.style.display = 'block';
        vid.muted = true;
        e.stopPropagation();
    };

    unmute.onclick = function (e) {
        unmute.style.display = 'none';
        mute.style.display = 'block';
        vid.muted = false;
        e.stopPropagation();
    };

    pause.onclick = function (e) {
        play.style.display = 'block';
        pause.style.display = 'none';
        vid.pause();
        vid.playing = false;
        e.stopPropagation();
    };

    play.onclick = function (e) {
        play.style.display = 'none';
        pause.style.display = 'block';
        vid.play();
        vid.playing = true;
        e.stopPropagation();
    };
  
	vid.onended = function(){
      setTimeout(function(){
		play.style.display = 'block';
        pause.style.display = 'none';
        
        //if you want the video to loop, please uncomment the rule below:
        /*
     		play.click();
        */
        
      },100);
    }
} ADTECH.ready(init);
